#!/usr/bin/env python
# -*- coding:utf-8 -*-


import lang                     # répertoire des langues de l'interface

class MultiLanguage():
    
    u"""
    | Classe de gestion du multilingisme de l'interface                         
    |                                                                           
    | On instancie l'objet avec le code de la langue ('fr', 'en', etc...) puis  
    | on récupère les chaînes pour afficher dans l'interface par la             
    | méthode 'get(section, clef)'                                              
    |                                                                                                                                   
    """
    
    
    
    def __init__(self, lgcode=None):
        
        u"""
        | Instancie la langue à utiliser pour l'interface (français par défaut) 
        |                                                                       
        | Les fichiers de langue sont dans le répertoire 'lang' de l'application
        |                                                                       
        | Les fichiers de langues contiennent des pyDictionnaires dant le nom   
        | correspond à une "section".                                           
        """
        
        # Importer le module .py contenant la langue d'interface
        exec("import lang."+ lgcode)        
        
        # Garder une référence à ce module .py dans une chaîne
        self.strlgmodule = "lang." + lgcode
        
        # Garder une référence au code de la langue dans une chaîne
        self.lgcode = lgcode
        
        return
    
    
    def get(self, section, clef):
        u"""
        | Renvoie la chaine correspondant à la 'section' et à la 'clef'         
        """
        
        try:
            return eval(self.strlgmodule + "." + section +"['" + clef + "']")
        except:
            return eval("lang.fr." + section +"['" + clef + "']")   # français par défaut

    
    def getlgcode(self):
        u"""
        | Renvoie le code de langue courant                                     
        """
        
        return self.lgcode
    
    
